%define	module	passwd
%define apachedir /etc/httpd
%define apacheuser apache
%define apachegroup apache
%define contentdir /usr/share 

Summary: The Horde password management application
Name: horde-passwd-h3
Version: 3.1.3
Release: 1%{dist}.lux.1
License: GPL
Group: Applications/Internet
Source: ftp://ftp.horde.org/pub/passwd/tarballs/passwd-h3-%{version}.tar.gz
#Source1: passwd.conf
Source100: passwd.conf.lux
Patch100: passwd-3.1.3.lux.script-shellbang.patch
URL: http://www.horde.org/
BuildArchitectures: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
Buildrequires: gettext
Requires: php >= 4.3.0
Requires: php-imap >= 4.3.0
Requires: httpd >= 2.0.46
Requires: horde >= 3.0
Obsoletes: horde-passwd
Provides: horde-passwd = %{version}-%{release}
Prereq: /usr/bin/perl

%description
Passwd is the Horde password changing application. While it has been released
and is in production use at many sites, it is also under heavy development in
an effort to expand and improve the module.

Right now, Passwd provides fairly complete support for changing passwords via
poppassd, ldap, unix expect scripts, the unix smbpasswd command for smb/cifs
password support, servuftp, vmailmgr, vpopmail, and sql passwords.

Passwd is part of a suite of account management modules for Horde consisting of
Accounts, Forwards, Passwd, and Vacation.

%prep
%setup -q -n %{module}-h3-%{version}
%patch100 -p1

%build

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{apachedir}/conf
#cp -p $RPM_SOURCE_DIR/passwd.conf $RPM_BUILD_ROOT%{apachedir}/conf.d
mkdir -p $RPM_BUILD_ROOT%{apachedir}/conf.d
cp -p %{SOURCE100} $RPM_BUILD_ROOT%{apachedir}/conf.d/passwd.conf
mkdir -p $RPM_BUILD_ROOT%{contentdir}/horde/passwd
cp -pR * $RPM_BUILD_ROOT%{contentdir}/horde/passwd
cd $RPM_BUILD_ROOT%{contentdir}/horde/passwd/config
for d in *.dist; do
    d0=`basename $d .dist`
    if [ ! -f "$d0" ]; then
        cp -p $d $d0
    fi
done

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%pre

%post

%postun

%files
%defattr(-,root,root)
# Apache passwd.conf file
#%config %{apachedir}/conf.d/passwd.conf
%config(noreplace) %{apachedir}/conf.d/passwd.conf
# Include top level with %dir so not all files are sucked in
%dir %{contentdir}/horde/passwd
# Include top-level files by hand
%{contentdir}/horde/passwd/*.php
# Include these dirs so that all files _will_ get sucked in
%{contentdir}/horde/passwd/lib
%{contentdir}/horde/passwd/locale
%{contentdir}/horde/passwd/po
%{contentdir}/horde/passwd/scripts
%{contentdir}/horde/passwd/templates
%{contentdir}/horde/passwd/themes
# Mark documentation files with %doc and %docdir
%doc %{contentdir}/horde/passwd/COPYING
%doc %{contentdir}/horde/passwd/README
%docdir %{contentdir}/horde/passwd/docs
%{contentdir}/horde/passwd/docs
# Mark configuration files with %config and use secure permissions
# (note that .dist files are considered software; don't mark %config)
%attr(750,root,%{apachegroup}) %dir %{contentdir}/horde/passwd/config
%defattr(640,root,%{apachegroup})
%{contentdir}/horde/passwd/config/.htaccess
%{contentdir}/horde/passwd/config/*.dist
%config(noreplace) %{contentdir}/horde/passwd/config/*.php
%config(noreplace) %{contentdir}/horde/passwd/config/*.xml

%changelog
